API Explorer 936 endpoints

Get Accounts Held By User

GET /obp/v7.0.0/users/USER_ID/banks/BANK_ID/accounts-held

OBPv5.1.0-getAccountsHeldByUserAtBank Roles: CanGetAccountsHeldAtOneBank(per bank),CanGetAccountsHeldAtAnyBank Account

Get Accounts held by the User if even the User has not been assigned the owner View yet.

Can be used to onboard the account to the API - since all other account and transaction endpoints require views to be assigned.

optional request parameters:

  • account_type_filter: one or many accountType value, split by comma
  • account_type_filter_operation: the filter type of account_type_filter, value must be INCLUDE or EXCLUDE

whole url example: /users/USER_ID/banks/BANK_ID/accounts-held?account_type_filter=330,CURRENT+PLUS&account_type_filter_operation=INCLUDE

User Authentication is Required. The User must be logged in. The Application must also be authenticated.

URL Parameters:

BANK_ID: gh.29.uk

USER_ID: 9ca9a7e4-6d02-40e3-a129-0b2bf89de9b1

JSON response body fields (8)
account_routings
accounts
address
bank_id
gh.29.uk
id
d8839721-ad8f-45dd-9f78-2080414b93f9
label
My Account
number
scheme
OBP
Example success response
{
  "accounts": [
    {
      "id": "7b97bd26-583b-4c3b-8282-55ea9d934aad",
      "label": "My Account",
      "bank_id": "123",
      "number": "123",
      "account_routings": [
        {
          "scheme": "OBP",
          "address": "8ca8a7e4-6d02-40e3-a129-0b2bf89de9f0"
        }
      ]
    }
  ]
}
Possible errors (5)
  • OBP-20001: User not logged in. Authentication is required!
  • OBP-30001: Bank not found. Please specify a valid value for BANK_ID.
  • OBP-20057: User not found by userId.
  • OBP-50000: Unknown Error.
  • OBP-20006: User is missing one or more roles:
Implemented by OBPv5.1.0 getAccountsHeldByUserAtBank Originally /obp/v5.1.0/users/USER_ID/banks/BANK_ID/accounts-held